"My Contributions" Count Error
Closed, ResolvedPublic

Description

Author: joturner

Description:
Someone on the English Wikipedia pointed out that there may be a problem with
how "My Contributions" works. When one chooses to see to show, for example,
one's last five hundred edits, the user's last five hundred edits (-1 to -500,
I'll say) correctly show. However, when the person goes to the next page, edits
-500 to -999 are shown instead of -501 to -1000. Presumably, this error
continues so that edits -999 to -1498 are shown, followed by -1498 to -1997,
then -1997 to -2496, etc.


Version: unspecified
Severity: minor

bzimport set Reference to bz8239.
bzimport created this task.Via LegacyDec 12 2006, 4:31 PM
bzimport added a comment.Via ConduitDec 12 2006, 11:04 PM

ayg wrote:

This was fixed for [[Special:Allpages]] in r18263. Shouldn't be hard to do for
contribs also.

hashar added a comment.Via ConduitDec 13 2006, 7:12 PM

I will have a look at it.

hashar added a comment.Via ConduitDec 13 2006, 8:28 PM

To get the 50 next contributions, we used the timestamp of the last
contrib for the current set. We then looked for revision with
a timestamp >=. I changed it to be strictly greater : > .

Fixed in r18314

bzimport added a comment.Via ConduitDec 14 2006, 3:37 AM

ayg wrote:

When you unassign something from wikibugs-l, please always CC it. Otherwise the
automated bug stuff gets borked.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.